rm(list = ls())
setwd("D:/LUAD/LUAD_M6A")
getwd()
library(tidyverse)
library(stringi)
load("./results/1-单因素cox/UniVar_0.2.Rdata")
load(file = "./results/五队列共有基因.Rdata")

dir.create("results/3-RSF_var")
load("./results/2-Lasso&RSF/Lasso/Chr3_Results_lasso_geneids.RData")
RSF_var <- lasso_geneids
save(RSF_var,file = "./results/3-RSF_var/Lasso_RSF_var.Rdata")

#hypoxia-univar_0.2   -  5个cohort的intersect
hypoxia_univar_0.2 <- intersect(Hypoxia,UniVar_0.2)
GSE72094_hypoxia_no0.2 <- intersect(Hypoxia,colnames(GSE72094)[-c(1:2)])
GSE31210_hypoxia_no0.2 <- intersect(Hypoxia,colnames(GSE31210)[-c(1:2)])
GSE50081_hypoxia_no0.2 <- intersect(Hypoxia,colnames(GSE50081)[-c(1:2)])
GSE30219_hypoxia_no0.2 <- intersect(Hypoxia,colnames(GSE30219)[-c(1:2)])
TCGA_LUAD_hypoxia_no0.2 <- intersect(Hypoxia,colnames(TCGA_LUAD)[-c(1:2)])


GSE72094_hypoxia <- intersect(hypoxia_univar_0.2,colnames(GSE72094)[-c(1:2)])
GSE31210_hypoxia <- intersect(hypoxia_univar_0.2,colnames(GSE31210)[-c(1:2)])
GSE50081_hypoxia <- intersect(hypoxia_univar_0.2,colnames(GSE50081)[-c(1:2)])
GSE30219_hypoxia <- intersect(hypoxia_univar_0.2,colnames(GSE30219)[-c(1:2)])
TCGA_LUAD_hypoxia <- intersect(hypoxia_univar_0.2,colnames(TCGA_LUAD)[-c(1:2)])


geneset<-read_csv("D:/HCC_2/特殊基因集/Hypoxia/Hypoxia.csv") ##去读特殊基因集合
Hypoxia <- geneset$ENSEMBL
Hypoxia_1 <- intersect(intersect(Hypoxia,UniVar_0.2),gene_intersect)
RSF_var <- Hypoxia_1
save(RSF_var,file = "./results/3-RSF_var/Hypoxia_RSF_var.Rdata")


RSF_var <- intersect(UniVar_0.2,gene_intersect)
save(RSF_var,file = "./results/3-RSF_var/mRNA_RSF_var.Rdata")
load(file = "./results/3-RSF_var/mRNA_RSF_var.Rdata")
table(RSF_var %in% colnames(df))

load("./results/2-Lasso&RSF/Lasso/Chr3_Results_lasso_geneids.RData")
load("./results/2-Lasso&RSF/RSF/Chr3_Results_rfsrc_genes.RData")
intersect <- intersect(lasso_geneids,randomForestSRC_geneids)
RSF_var <- intersect
save(RSF_var,file = "./results/3-RSF_var/Lasso&RSF_RSF_var.Rdata")

genesetname<-c("Autophagy","Apoptosis","Hypoxia","Immuno_Oncology","FerrDB","Immunology","Pyroptosis","m6A","Ageing")###特殊基因集合
genesetname<-c("Hypoxia")
for(i in 1:length(genesetname)){
  print(i)
  # i=1
  projectname<-genesetname[i]
  # dir.create(paste0("D:/LUAD/LUAD_M6A/results/3-RSF_var/",projectname))
  geneset<-read_csv(paste0("D:/LUAD/LUAD_M6A/特殊基因集/",projectname,"/",projectname,".csv")) ##去读特殊基因集合
  geneset<-geneset$ENSEMBL
  RSF_var <- intersect(intersect(geneset,UniVar_0.2),gene_intersect)
  save(RSF_var,file = paste0("./results/3-RSF_var/",projectname,"_RSF_var.Rdata"))
} 


