rm(list = ls()) ## 清空环境变量
library("parallel")
library("randomForestSRC")
library("tidyverse")
getwd()
setwd("D:/LUAD/LUAD_M6A")
load("./GSE31210.Rdata")

df <- GSE31210
dir.create("results/4-RSF")
#"mRNA","Lasso","Lasso&RSF",
# genesetname<-c("mRNA","Apoptosis","Autophagy","FerrDB","Hypoxia","Immuno_Oncology","Immunology","Pyroptosis","m6A","Ageing")###特殊基因集合
genesetname<-c("Hypoxia")###特殊基因集合

for(i in 1:length(genesetname)){
  print(i)
  # i=5
  projectname<-genesetname[i]
  load(file = paste0("D:/LUAD/LUAD_M6A/results/3-RSF_var/",projectname,"_RSF_var.Rdata"))


  df_rsf<-select(df,OS_time,OS_status,all_of(RSF_var))

m<-(2/3)
n<-log(1/(dim(df_rsf)[2]),m)
v.obj<- rfsrc(Surv(OS_time,OS_status) ~ ., data = df_rsf, ntree = 500,importance = TRUE)
plot(v.obj)
dev.off()

projectname<-paste0("LUAD_",genesetname[i])
dir.create(paste0("D:/LUAD/LUAD_M6A/results/4-RSF/",projectname))

setwd(paste0("D:/LUAD/LUAD_M6A/results/4-RSF/",projectname))

if(T){
  importance<-as.matrix(v.obj$importance)
  importance_ordered<-importance[order(as.double(importance[,1]),decreasing = TRUE),]
  importanceAAA_ordered<-importance_ordered
  resutlt<-list(v.obj)####存放错误率
  pdf(paste0("随机森林_ZD",projectname,"-打分图.pdf"),width=50,height= 50)
  #####数字n代表降几次
  for(j in 1:n)
  {
    importance_ordered<-importanceAAA_ordered
    namesAAA<-names(importance_ordered[1:(length(importance_ordered)*m)])
    rfdata_AAA<-df_rsf[,c(1:2,which(colnames(df_rsf)%in%namesAAA))]
    v.obj_AAA <- rfsrc(Surv(OS_time, OS_status) ~ ., data = rfdata_AAA, ntree = 500,importance = TRUE)
    importanceAAA<-as.matrix(v.obj_AAA$importance)
    importanceAAA_ordered<-importanceAAA[order(importanceAAA,decreasing = TRUE),]
    write.csv(rfdata_AAA,paste0("随机森林_",projectname,length(importanceAAA_ordered),".csv"),row.names=F)##写出文件
    resutlt<-list(resutlt,v.obj_AAA)
    plot(v.obj_AAA)
  }
  dev.off()
  sink(paste0("随机森林",projectname,"-打分图.txt"))
  resutlt
  sink()
  #setwd("D:/LU/results/model for predicting the prognosis/x-Related lncRNA for LUAD/")
  dir()  
}
}
getwd()
