###拟合系数
library(tidyverse)
dir.create("D:/LUAD\results/df_coef")
rm(list = ls()) ## 清空环境变量
setwd("D:/LUAD/LUAD_model")

#load("D:/LUAD/LUAD_M6A/data/TCGA/TCGA_LUAD.Rdata")
load("D:/LUAD/data/TCGA_LUAD.Rdata")
load("D:/LUAD/data/TCGA_LUAD_group.Rdata")
load("D:/LUAD/data/GSE31210.Rdata")
load("D:/LUAD/data/GSE30219.RData")
#load("D:/LUAD/data/GSE31546.RData")
#load("D:/LUAD/data/GSE37745.RData")
#load("D:/LUAD/data/GSE50081.RData")
load("D:/LUAD/data/GSE72094.RData")
load("./results/1-单因素cox/UniVar.Rdata") 

list <- list(GSE31210,TCGA_LUAD,GSE30219)
name <- c("GSE31210","TCGA_LUAD","GSE30219")


UniVar <- UniVar[UniVar$P.Value < 0.2,]
varnames<- UniVar$characteristics[which(UniVar$P.Value < 0.2)] %>% as.character()

for (i in 1:length(list)) {
df <- data.frame(list[i])
df_coef<-df
for(q in 1:length(varnames)){
  df_coef[q+2]<-UniVar$coef[q]*df_coef[q+2]
}##基因表达量乘以系数

save(df_coef,file =paste0("./results/df_coef/",name[i],"_df_coef.rdata"))
print(i)
}
